Subject: [clisp-list] Problems with MacOs X PB

From: Daniel Buenzli <[email-masked]>
Date: Fri, 10 Nov 2000 15:15:35 +0100

Hello,

I have problems to build clisp on MacOs X 1.0 PB (public beta).  The C compiler I use is

> localhost> cc -v
> Reading specs from /usr/libexec/ppc/2.95.2/specs
> Apple Computer, Inc. version cc-796.3, based on gcc driver version 2.7.2.1 executing gcc 
> version 2.95.2

and I 'm using the tcsh terminal. The underlying unix of MacOs X PB is Darwin 1.2 based on FreeBSD.

First I had this problem :

> localhost> setenv CC "cc -Wall"
> localhost> ./configure --host=powerpc-apple-macosx lisp
> ...
> checking for BSD-compatible nm... /usr/bin/nm -p
> checking whether ln -s works... (cached) yes
> ltconfig: you must specify a host type if you use `--no-verify'
> Try `ltconfig --help' for more information.
> configure: error: libtool configure failed

To avoid this error I changed the global variable 'host' to 'powerpc-apple-macosx' in the following files :
clisp-2000-03-06/sigsev/autoconf/ltconfig
clisp-2000-03-06/libiconv/autoconf/ltconfig
clisp-2000-03-06/libiconv/autoconf/ltconfig

It is certainly not the way to do it but it worked :

> ...
> creating config.h
> make: *** No rule to make target `avcall-.lo', needed by `avcall.lo'.  Stop.
>
> To continue building CLISP, the following commands are recommended
>   (cf. unix/INSTALL step 4):
>    cd lisp
>    ./makemake  --with-readline --with-gettext > Makefile
>    make config.lsp
>    vi config.lsp
>    make
>    make check

Then I had the following errors during make 

> ...
> chmod 644 /Users/dbuenzli/tmp/clisp-2000-03-06/lisp/libsigsegv.a
> libtool: install: warning: remember to run `libtool --finish /usr/local/lib'
> if [ ! -d /Users/dbuenzli/tmp/clisp-2000-03-06/lisp ] ; then mkdir 
> /Users/dbuenzli/tmp/clisp-2000-03-06/lisp ; fi
> cp sigsegv.h /Users/dbuenzli/tmp/clisp-2000-03-06/lisp/sigsegv.h
> ln -s ../src/version.h version.h
> cc -Wall -O -traditional-cpp -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type > -fomit-frame-pointer -Wno-sign-compare -O2 -DUNICODE -c spvw.c
> In file included from spvw.d:21:
> lispbibl.d:1409: #error "Preferred integer sizes depend on CPU -- Grˆﬂen intBWsize, 
> intWLsize, intBWLsize neu einstellen!"
> lispbibl.d:1583: #error "Preferred digit size depends on CPU -- Grˆﬂe intDsize neu 
> einstellen!"
> In file included from spvw.d:21:
> lispbibl.d:1993: warning: `TIME_ABSOLUTE' redefined
> /System/Library/Frameworks/System.framework/Headers/mach/clock_types.h:114: warning: > this is the location of the previous definition
> make: *** [spvw.o] Error 1

First to avoid the last error I dropped the line lispbibl.d:1993.
For the two other errors, the problem is that my CPU (powerpc) is not recognized and as I don't exactly understand what these values are I replaced line lispbibl.d:1409 by defining the intBWsize, intWLsize and intBWLsize to intBsize, intWsize, intLSize. And replaced line lispbibl.d:1583 by using the MC680Y0 values (I made theses changes in the src directory).
But then I got these errors (and I'm almost sure I did not introduce any syntax errors in my changes) :

> localhost> make
> test -d linkkit || ln -s . linkkit
> test -d bindings || mkdir bindings
> cc -Wall -O -traditional-cpp -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit 
> -Wreturn-type -fomit-frame-pointer -Wno-sign-compare -O2 -DUNICODE -c spvw.c 
> In file included from lispbibl.d:1702, 
>                  from spvw.d:21: 
> unix.d:109: parse error before `addr' 
> In file included from spvw.d:400: 
> spvw_mmap.d:40: parse error before `addr' 
> spvw_mmap.d:43: warning: type defaults to `int' in declaration of `MMAP_ADDR_T' 
> spvw_mmap.d:43: parse error before `addr' 
> spvw_mmap.d: In function `mmap_zeromap': 
> spvw_mmap.d:384: `MMAP_ADDR_T' undeclared (first use in this function) 
> spvw_mmap.d:384: (Each undeclared identifier is reported only once 
> spvw_mmap.d:384: for each function it appears in.) 
> spvw_mmap.d:384: parse error before `map_addr' 
> spvw_mmap.d:389: warning: left-hand operand of comma expression has no effect 
> spvw_mmap.d:389: warning: left-hand operand of comma expression has no effect 
> spvw_mmap.d:389: warning: left-hand operand of comma expression has no effect 
> spvw_mmap.d:390: parse error before `==' 
> spvw_mmap.d:384: warning: empty body in an if-statement 
> spvw_mmap.d:381: warning: unused parameter `map_addr' 
> spvw_mmap.d:382: warning: unused parameter `map_len' 
> spvw_mmap.d: At top level: 
> spvw_mmap.d:398: parse error before `return' 
> In file included from spvw.d:705: 
> spvw_sigpipe.d: In function `sigpipe_handler': 
> spvw_sigpipe.d:34: warning: unused parameter `sig' 
> In file included from spvw.d:706: 
> spvw_sigint.d: In function `interrupt_handler': 
> spvw_sigint.d:89: warning: unused parameter `sig' 
> In file included from spvw.d:707: 
> spvw_sigwinch.d: In function `sigwinch_handler': 
> spvw_sigwinch.d:84: warning: unused parameter `sig' 
> In file included from spvw.d:717: 
> spvw_allocate.d: In function `make_space_gc_TRUE': 
> spvw_allocate.d:243: warning: label `doing_gc' defined but not used 
> spvw_allocate.d: In function `make_space_gc_FALSE': 
> spvw_allocate.d:306: warning: label `doing_gc' defined but not used 
> In file included from spvw.d:723: 
> spvw_circ.d: In function `get_circ_mark': 
> spvw_circ.d:804: warning: label `m_array' defined but not used 
> spvw_circ.d:787: warning: label `m_svector' defined but not used 
> spvw_circ.d: In function `get_circ_unmark': 
> spvw_circ.d:984: warning: label `u_array' defined but not used 
> spvw_circ.d:970: warning: label `u_svector' defined but not used 
> spvw_circ.d: In function `subst_circ_mark': 
> spvw_circ.d:1528: warning: label `case_instance' defined but not used 
> spvw_circ.d:1526: warning: label `case_closure' defined but not used 
> spvw_circ.d: In function `subst_circ_unmark': 
> spvw_circ.d:1664: warning: label `case_instance' defined but not used 
> spvw_circ.d:1662: warning: label `case_closure' defined but not used 
> spvw.d: In function `SP': 
> spvw.d:782: warning: function returns address of local variable 
> spvw.d: In function `main': 
> spvw.d:2511: warning: unused variable `for_objects' 
> spvw.d: At top level: 
> spvw_module.d:20: warning: `init_modules_0' declared `static' but never defined 
> spvw_mmap.d:25: warning: `mmap_prepare' declared `static' but never defined 
> spvw_sigpipe.d:12: warning: `install_sigpipe_handler' declared `static' but 
> never defined 
> spvw_sigint.d:12: warning: `install_sigint_handler' declared `static' but never 
> defined 
> spvw_sigwinch.d:7: warning: `install_sigwinch_handler' declared `static' but 
> never defined 
> make: *** [spvw.o] Error 1 

Thank you for your answer, best regards,
Daniel Buenzli